import App from './App';
import {
	toast
} from './utils/index.js';
import {
	createPinia
} from "pinia";
import leaveApplication from '@/bpm/leaveApplication/index.vue';
import supervise from '@/bpm/supervise.vue'
const pinia = createPinia();

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'

export function createApp() {
	const app = createSSRApp(App)
	app.use(pinia)
	app.component('leaveApplication', leaveApplication)
	app.component('supervise', supervise)
	app.config.globalProperties.$toast = toast
	return {
		app
	}
}
// #endif